## org.eclipse.emf.ocl.utilities
Interface Visitable

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  AssociationClassCallExp, BooleanLiteralExp, CallExp, CollectionLiteralExp, Constraint, EnumLiteralExp, FeatureCallExp, IfExp, IntegerLiteralExp, InvalidLiteralExp, IterateExp, IteratorExp, LetExp, LiteralExp, LoopExp, MessageExp, NavigationCallExp, NullLiteralExp, NumericLiteralExp, OCLExpression, OperationCallExp, PrimitiveLiteralExp, PropertyCallExp, RealLiteralExp, StateExp, StringLiteralExp, TupleLiteralExp, TupleLiteralPart, TypeExp, UnspecifiedValueExp, Variable, VariableExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, BooleanLiteralExpImpl, CallExpImpl, CollectionLiteralExpImpl, ConstraintImpl, EnumLiteralExpImpl, FeatureCallExpImpl, IfExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, IterateExpImpl, IteratorExpImpl, LetExpImpl, LiteralExpImpl, LoopExpImpl, MessageExpImpl, NavigationCallExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, OCLExpressionImpl, OperationCallExpImpl, PrimitiveLiteralExpImpl, PropertyCallExpImpl, RealLiteralExpImpl, StateExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralPartImpl, TypeExpImpl, UnspecifiedValueExpImpl, VariableExpImpl, VariableImpl, VisitableImpl

Deprecated. Use the `Visitable` interface, instead.

    @Deprecated
    public interface Visitable

extends EObject

A representation of the model object 'Visitable'.

See Also:
  `UtilitiesPackage.getVisitable()`

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`Object` `accept(Visitor v)` Deprecated.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### accept

    Object accept(Visitor v)

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.